Page MenuHomeFreeBSD

emulators/cingb: Update to v0.32
ClosedPublic

Authored by 0mp on Feb 24 2019, 12:52 PM.

Details

Summary
emulators/cingb: Update to v0.32

Changes:
- Pick MAINTAINER'ship
- Install additional documentation
- Switch upstream to GitHub
- Update WWW
Test Plan
  • portlint
  • poudriere 11.2 (amd64, i386), 12.0 (amd64, i386)
  • manual testing on 13.0-CURRENT

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Feb 24 2019, 12:52 PM
Harbormaster completed remote builds in B22688: Diff 54294.
krion accepted this revision.Feb 24 2019, 1:27 PM
This revision is now accepted and ready to land.Feb 24 2019, 1:27 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Feb 25 2019, 6:18 PM
head/emulators/cingb/Makefile
34

For this to work, you also need a DEBUG_IMPLIES=DOCS.

krion added inline comments.Feb 25 2019, 6:20 PM
head/emulators/cingb/Makefile
34

DOCS are always enabled in this case, with or without DEBUG

mat added inline comments.Feb 25 2019, 6:34 PM
head/emulators/cingb/Makefile
34

I don't understgand, how can DOCS always be enabled?

If I run make WITH=DEBUG WITHOUT=DOCS it won't work.

0mp added inline comments.Feb 26 2019, 9:05 AM
head/emulators/cingb/Makefile
34

I thought I've tested this case. I'll test it again and commit a fix if needed.

0mp added inline comments.Feb 26 2019, 9:16 AM
head/emulators/cingb/Makefile
34

Actually, I've done it on purpose. If a user does not want to install docs and wants debugging, I don't want to force the installation debugging documentation.